usb_gadget_vbus_disconnect
Prev | Core Objects and Methods | Next

## Name

usb_gadget_vbus_disconnect — notify controller about VBUS session end

## Synopsis

`int usb_gadget_vbus_disconnect (` | struct usb_gadget * | gadget`)`;

## Arguments

`gadget`

  the device whose VBUS supply is being described

## Description

This call is used by a driver for an external transceiver (or GPIO) that detects a VBUS power session ending. Common responses include reversing everything done in `usb_gadget_vbus_connect`.

Returns zero on success, else negative errno.

Prev | Up | Next
usb_gadget_vbus_draw | Home | usb_gadget_connect